# Preview
![Preview](https://media.discordapp.net/attachments/749076478146117733/1041392681282183268/image.png)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait1] | Frieza | Skills |
| ![][primary] | Primary: Emperor's Fist | Heavy hitting strikes for 220% damage. Successful hits grant +10 Ki. |
| ![][secondary] | Secondary [Switch]: Ki Blast | Fire rapid blasts of Ki for 100% damage. |
| ![][secondaryAlt] | Secondary [Switch]: Death Beam | Fire a quick beam that pierces enemies for 140% damage. |
| ![][utility] | Utility: Maximum Charge | Regenerate 25 Ki per second. |
| ![][special] | Special: Death Ball | Launch a massive ball of energy that explodes on contact with an enemy for 1400% damage. |
| ![][specialAlt] | Special: Death Slash | Fires a fast, but short ranged, blade-shaped Ki Blast for 900% damage, and leaves a lingering field of damaging Ki along the path it traveled that deals 1250% damage. |

| Icon | Powerup | Stat Boost |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait2] | Frieza (2nd Form) | +100% All stats |
| ![][portrait3] | Frieza (3rd Form) | +200% All stats |
| ![][portrait4] | Frieza (Final Form) | +300% All stats |
| ![][portrait5] | Frieza (Full Power) | +400% All stats |
| ![][portrait6] | Frieza (Golden) | +600% All stats |
| ![][portrait7] | Frieza (Black) | +700% All stats |

[stat]: https://cdn.discordapp.com/attachments/749076478146117733/1055248227055697980/Status_Weak.png
[primary]: https://cdn.discordapp.com/attachments/749076478146117733/1065989118150057994/primary.png
[secondary]: https://cdn.discordapp.com/attachments/749076478146117733/1065989118464643092/secondary.png
[secondaryAlt]: https://cdn.discordapp.com/attachments/749076478146117733/1065989118762434600/secondaryalt.png
[utility]: https://cdn.discordapp.com/attachments/749076478146117733/1065989117898408006/utility.png
[special]: https://cdn.discordapp.com/attachments/749076478146117733/1065989119009890335/special.png
[specialAlt]: https://cdn.discordapp.com/attachments/749076478146117733/1065989119290920960/specialalt.png

[portrait1]: https://cdn.discordapp.com/attachments/749076478146117733/1065989103277064243/portrait.png
[portrait2]: https://cdn.discordapp.com/attachments/749076478146117733/1065989103537102899/portrait2.png
[portrait3]: https://cdn.discordapp.com/attachments/749076478146117733/1065989103843282944/portrait3.png
[portrait4]: https://cdn.discordapp.com/attachments/749076478146117733/1065989104124313600/portrait4.png
[portrait5]: https://cdn.discordapp.com/attachments/749076478146117733/1065989102983450736/portrait5.png
[portrait6]: https://cdn.discordapp.com/attachments/749076478146117733/1065989104745058376/portrait4g.png
[portrait7]: https://cdn.discordapp.com/attachments/749076478146117733/1065989104405323837/portrait4b.png

- How flight works:
  - Hold jump to activate flight. You can hover (run) for no ki cost, but you can only Sprint at the cost of Ki. Sprinting gives you bonus speed on top of default sprinting bonus.
  - Press jump again to disable flight.
  
- Transformation system and features:
  - Transformations are permanent. Meaning you work towards the next transformation throughout the run.
  - There is a new Powerup bar, that is displayed on top of the Ki bar. It fills up with actions, which are: Dealing damage, killing enemies + bonus for Bosses/Elites and a bonus every 100 enemies killed, spending Ki and getting items + more powerup with higher tiers. When this bar fills up, your utility skill is overriden by a powerup skill. Activating it, instantly achieves your next transformation.
  - The multipliers for each action gain is configurable, and they're separate for each transformation.
  - All transformations stat multipliers are configurable, and there is also a config for enabling each one as a separate selectable survivor.
  
# Commission

Wanna commission your own Dragon Ball survivor? DM me:
- Discord Contact: Dragonyck#4653

# Team
This team is my commissions account. It is composed of me (Dragonyck) and Madik. 

If you wanna check my personal projects, they're on my main account:

[![plug](https://cdn.discordapp.com/attachments/749076478146117733/1014954008059842720/unknown.png)](https://thunderstore.io/package/Dragonyck/)

Other projects I developed:

[Koko's Item Box](https://thunderstore.io/package/SeizaKokoro/KokosItemBox/)

[Super Void Barnacle](https://thunderstore.io/package/Contraplayingmodded/SuperVoidBarnacle/)

[KatarinaV2 - Skills Only](https://thunderstore.io/package/Nines/Katarina/)

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Frieza" dll to your plugins folder

3 - Have fun!

# Credits
SenseiJamesX - Bug testing, overall balance, and for commissioning this awesome mod. 

Mastaklo - Models used for Forms 2 and 3.

Dragonyck - Mod author.

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores and api's that made modding possible.

All the peeps with bug reports and stuff.

# Changelog
`1.0.2` 
- Updated to latest DBZUtils version.
- Beams now can be aimed while they're still charging.

`1.0.1` 
- Updated to latest DBZUtils version.
- Fixed and improvement some meshes and materials.

`1.0.0` 
- Release
